export declare class StateError extends Error {
    wantedStates: string[];
    gotState: string;
    constructor(wantedStates: string[], gotState: string);
}
export declare class UnknownLockfileStatusError extends Error {
    status: number;
    constructor(status: number);
}
export declare class UnableToUnlockLockfileError extends Error {
    thisInstance: boolean;
    file: string;
    constructor(thisInstance: boolean, file: string);
}
export declare class UnknownPlatformError extends Error {
    platform: string;
    constructor(platform: string);
}
export declare class UnknownArchitectureError extends Error {
    arch: string;
    platform?: string | undefined;
    constructor(arch: string, platform?: string | undefined);
}
export declare class WaitForPrimaryTimeoutError extends Error {
    timeout: number;
    constructor(timeout: number);
}
export declare class EnsureInstanceError extends Error {
    isRunning: boolean;
    constructor(isRunning: boolean);
}
export declare class NoSystemBinaryFoundError extends Error {
    binaryPath: string;
    constructor(binaryPath: string);
}
export declare class Md5CheckFailedError extends Error {
    binarymd5: string;
    checkfilemd5: string;
    constructor(binarymd5: string, checkfilemd5: string);
}
export declare class StartBinaryFailedError extends Error {
    binary: string;
    constructor(binary: string);
}
//# sourceMappingURL=errors.d.ts.map